
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET MVC中在路由表routes集合中添加Route实例的问题 / iVAN</title>

    <meta name="description" content="ASP.NET MVC中在路由表routes集合中添加Route实例的问题 昨天有位同学问到关于在routes集合中添加自定义的路由实例的问题,她出现的问题是这样的: 1.因为要在应用程序戾动时将实例添加到routes表中,所以需要把代码写在Global类的RegisterRoutes方法中,代码如下两种方式:    routes.Add(&quot;s&quot;, new Route(&quot;a/b&quot;, new WebFormRouteHandler(&quot;~/WebForm1.aspx&quot;)));    routes.Add(&quot ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET MVC中在路由表routes集合中添加Route实例的问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>昨天有位同学问到关于在routes集合中添加自定义的路由实例的问题，她出现的问题是这样的：</p>
<p>1.因为要在应用程序戾动时将实例添加到routes表中，所以需要把代码写在Global类的RegisterRoutes方法中，代码如下两种方式：</p>
<p>   routes.Add("s", new Route("a/b", new WebFormRouteHandler("~/WebForm1.aspx")));</p>
<p>   routes.Add("a", new Route("c/b", new RouteValueDictionary { { "controller", "Default" }, { "Home", "Index" } }, new WebFormRouteHandler("~/WebForm1.aspx")));</p>
<p>其中，a为路由的名称，Route为路由的实例，同时，用到了一个WebFormRouteHandler的自定义类，该类的作用为处理一个虚拟路径并指定到一个实际的地址，具体代码如下：</p>
<pre>
public class WebFormRouteHandler : MvcRouteHandler
        {
            private string VirtualPath;
            public WebFormRouteHandler(string path)
            {
                VirtualPath = path;
            } 

            protected override IHttpHandler GetHttpHandler(RequestContext requestContext)
            {
                var page = BuildManager.CreateInstanceFromVirtualPath(VirtualPath, typeof(Page)) as IHttpHandler; 

                return page;
            }
        }</pre>
<p>她的问题是，用上边第一种方式，那么在做RedirectToAction()操作时，就会直接跳转到WebForm1.aspx页面，而使用第二种方式时，则正常，只有在访问c/b时，才会访问到该页面。</p>
<p>对比上面两段代码，实际上第二种方式只是多了一个关于RouteValueDictionary类的实例，微软官方对这个实例的定义为：</p>
<p>表示不区分大小写的键/值对的集合，您可以在路由框架中的不同位置（例如，在定义路由的默认值时或在生成基于路由的 URL 时）使用该集合。</p>
<p>其实这个对象的创建，可以为url也就是c/b定义了一种默认的访问规则，那么url就一定会按照这种规则去访问指定的页面。</p>
<p>本文出自 “张剑的技术专栏” 博客，请务必保留此出处http://jianle.blog.51cto.com/429692/727680</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索实例<br />
                    ，                路由<br />
                    ，                代码<br />
                    ，                一个<br />
                    ，                方式<br />
                    ，                Routes<br />
                    ，                mvc默认路由<br />
                                    路由实例代码<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 20:14:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e5%bc%8f/" title="方式">方式</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e8%b7%af%e7%94%b1/" title="路由">路由</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/routes/" title="routes">routes</a>, <a href="https://www.iamivan.net/tag/mvc%e9%bb%98%e8%ae%a4%e8%b7%af%e7%94%b1/" title="mvc默认路由">mvc默认路由</a>, <a href="https://www.iamivan.net/tag/%e8%b7%af%e7%94%b1%e5%ae%9e%e4%be%8b%e4%bb%a3%e7%a0%81/" title="路由实例代码">路由实例代码</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET MVC中在路由表routes集合中添加Route实例的问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9N68vp.html" rel="bookmark">ASP&period;NET MVC 5 - 给电影表和模型添加新字段</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:ASP.NET MVC 5 - 给电影表和模型添加新字段 在本节中,您将使用Entity Framework Code First来实现模型类上的操作.从而使得这些操作和变更,可以应用到数据库中. 默认情况下,就像您在之前的教程中所作的那样,使用 Entity Framework Code First自动创建一个数据库,Code First为数据库所添加的表,将帮助您跟踪数据库是否和从它生成的模型类是同步的.如果他们不是同步的,Entity Framework将抛出一个错误.这非常方便的在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3Z07z.html" rel="bookmark">python过滤字符串中不属于指定集合中字符的类实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了python过滤字符串中不属于指定集合中字符的类.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 # -*- coding: utf-8 -*- import sets class Keeper(object): def __init__(self, keep): self.keep = sets.Set(map(ord, keep)) def __getitem__(self, n): if n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6k75yp.html" rel="bookmark">asp&period;net中linq查本集合中不包含于另一个集合的元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 代码如下 复制代码 int[] num0 = { 28, 32, 14 };int[] num1 = {14,15,16}; 如上,我想把num0中不包含于num1的元素都找出来,其正确结果应该是28,32.早上看到原来linq可以写多个from字句,之后就想到了这样的写法:  代码如下 复制代码 int[] num0 = { 28, 32, 14 };int[] num1 = {14,15,16}; var qq = from n1 in num0from n2 in num1where n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP2ORvb.html" rel="bookmark">Asp&period;net MVC 2&period;0 &plus; Unity 2&period;0&lpar;IoC&rpar; &plus; EF4&period;0 实例：RoRoWoBlog 开源项目框架代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本开源项目当前使用框架如下: 前台表现:Asp.net MVC 2 数据持久层:ADO.Net Entity Framework 4.0 依赖注入容器:Unity 2.0 开发工具:VS2010   开源项目地址:http://rorowo.codeplex.com/   我这次国庆的时间  主要改了以下内容:1.改为POCO,使EF的实体纯净2.增加 IoCHelper类,把IoC的代码改为可以同时支持多种IoC3.修改基础结构层,使其可以支持多种ORM框架 4.修正继承自 DefaultCo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2687Vb.html" rel="bookmark">记一次ASP&period;NET MVC性能优化（实际项目中）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在开发中为了紧赶项目进度而未去关注性能的问题,在项目逐渐稳定下来后发现性能令人感到有点忧伤,于是开始去关注这方面,本篇为记录在开发中遇到的问题并解决,不喜勿喷.注意:以下问题都是在移动端上出现,无法确定在网站中是否也同样会出现. 卡顿问题 请求方式 项目属于移动端,在手机上查看某一列表时并进行向下滑动时经常性卡顿问题,滚动的插件采用的是iscroll,当然怀疑是不是这个插件问题,但是很快就排除了这个问题,在其他页面未出现这个问题,后来接着想因为在脚本中进行Ajax请求超时时间设置为30秒,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOdBO8b.html" rel="bookmark">Ajax请求asp&period;net MVC查出的列表数据转成DTO的实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们的示例数据库脚本: USE [DB_USERS] GO /****** Object:  Table [dbo].[Student]    Script Date: 11/06/2015 00:01:52 ******/ SET ANSI_NULLS ON GO SET QUOTED_IDENTIFIER ON GO SET ANSI_PADDING ON GO CREATE TABLE [dbo].[Student](     [s_ID] [INT] IDENTITY(1,1) NOT 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXNnLyb.html" rel="bookmark">使用ajax传集合到页面中，想获取集合中的对象属性，但这对象的属性又是另一个对象，我该怎么获取？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 比如说,现有两个实体:学校(School)和年级(Grade):School中属性有name(学校名称),Grade(年级对象),address(地址):Grade中属性有name(年级名称),stuCount(学生人数),classCount(班级数)之后,我有一个学校对象的集合schoolList,我在用ajax技术向页面传值时,name值和address值都能获取到,然而此集合的Grade对象中的属性我该怎么获取呢?最好能用代码详细解释一下,在此我就先谢过了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOKgZM.html" rel="bookmark">对ASP&period;NET MVC项目中的视图做单元测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于视图的单元测试 说到ASP.NET MVC,我们似乎始终都在关注对于Controller的测试--虽然Stephen Walther也写过如 何脱离Web Server对View进行单元测试,但是他的方法可看而不可用.复杂的构造和预备,以及对生成的 HTML字符串作判断--这真是在对视图做单元测试吗?仔细分析他的代码可以发现,这其实是在对 ViewEngine做单元测试.而且,如果真要对ViewEngine做单元测试,也不应该像他那样依赖外部文件.在 我看来,他的做法什么都不是--似乎美观,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKxYWp.html" rel="bookmark">Asp&period;net Mvc中MVCContrib中无法使用Castle的发解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在使用Asp.net Mvc MVCContrib 0.0.1.91中的Castle时会出现No component for key Home was found这样的错误 错误解决方法如下: 下载MvcContrib源代码,更改MvcContrib.Castle的 WindsorControllerFactory.cs中的34行CreateController方法为: public IController CreateController(RequestContext context, str			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBRGAb.html" rel="bookmark" class="title">JSP中的全文检索</a>
					<div>
						js|全文检索 全文检索一直都是web方面的关键技术,如何在浩如烟海的信息中找到自己想要的信息是人们最关心的.鼎鼎大名的GOOGLE就是一个很成功的例子,网络上的人们大部分都用GOOGLE来查找自己需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaLWwz.html" rel="bookmark" class="title">合租商业化道路之谈</a>
					<div>
						合租业务最先的产生大约是在2004年甚至更早,最初推动服务器合租产生的,是一些个人站的站长.他们通过自我租用服务器.将服务器其他闲置空间出租或是多名站长共同租用一台服务器进行网站建设,长期以来,由于硬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK77BEb.html" rel="bookmark" class="title">ASP&period;NET MVC：HTML 5&plus;MVC上传文件显示进度的代码</a>
					<div>
						&lt;head&gt; &lt;title&gt;Index&lt;/title&gt; &lt;style type=&quot;text/css&quot;&gt; #statusBorder  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2PJOb.html" rel="bookmark" class="title">演化架构和紧急设计&colon; 使用 DSL</a>
					<div>
						简介:至今, 演化构架和紧急设计 主要关注技术模式的紧急设计,本期将介绍使用特定领域语言 (DSL)捕获 领域惯用模式.系列作者 Neal Ford 用一个例子说明了该方法,显示了这种获取惯用模式 的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7RDVb.html" rel="bookmark" class="title">Java语言工厂方法创立性模式介绍</a>
					<div>
						正如同笔者在&lt;简单工厂模式&gt;一节里介绍的,工厂模式有简单工厂模式,工厂方法模式和抽象工厂模式几种形态.简单工厂模式已经在前面作过介绍.在简单工厂模式中,一个工厂类处于对产品类实例化调用的中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7o5qb.html" rel="bookmark" class="title">集成Windows本地应用到Eclipse RCP程序中</a>
					<div>
						Windows 应用程序非常丰富,而有时我们的 Eclipse RCP 程序所需要的一些功能已经有一些现有的 Windows 本地应用程序的实现,我们希望能够在我们的 RCP 程序中重用这些功能.一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k4Prz.html" rel="bookmark" class="title">php获取json数据所有的节点路径</a>
					<div>
						  之前我们讲解过使用javascript获取json数据节点路径的问题,今天我们更进一步,讲解下php获取json数据所有的节点路径 ? 1 2 3 4 5 6 7 8 9 10 11 12 13  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLONQkM.html" rel="bookmark" class="title">如何在powerpoint中为幻灯片配音</a>
					<div>
						  打开演示文稿,定位到配音开始的幻灯片,执行&quot;幻灯片→放映录制旁白&quot;命令, 打开&quot;录制旁白&quot;对话框,直接按下&quot;确定&quot;按钮, 在随后弹出的对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3wmZM.html" rel="bookmark" class="title">ie访问某些网站时出现此网站的安全证书有问题怎么解决</a>
					<div>
						  使用ie7.ie8.ie9访问某些网站时出现:此网站的安全证书有问题 的警告,是网站的问题吗,如何解决? 简单的说,出现此问题多是因为网站内容使用了特殊的脚本程序和未经微软认证的证书所致,并且以h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oY3Wb.html" rel="bookmark" class="title">win8修改任务栏图标大小的操作方法</a>
					<div>
						  我们已经习惯了诸如win7系统中任务拦上的小图标,在使用win8系统时发现任务拦上的图标变大了,给人感觉很别扭,有没有方法让win8系统中任务栏上图标变的小一点呢?还真有,请看河东小编是怎么设置的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkZ7db.html" rel="bookmark" class="title">天天动听离线听歌识曲方法</a>
					<div>
						  1)打开天天动听,进入首页后点击[三],弹出菜单栏,点击[听歌识曲].(如下图) 2)进入录音后,录制五六秒后点击[录音按钮]停止,然后点击右上角的[识别记录].(如下图)  					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8yJlp.html" rel="bookmark" class="title">如何防止网页自动打开摄像头和麦克风</a>
					<div>
						  选择&quot;开始&quot;-&quot;控制面板&quot; 点击&quot;flash player&quot;并进入 选择&quot;摄像头和麦克风选项卡&quot; 2选1看哪一个更适 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oxX6b.html" rel="bookmark" class="title">常见错误代码大全</a>
					<div>
						  4xx: Client Error 使用者端(浏览器)错误讯息 400 Bad Request 错误的要求 401 Unauthorized 未授权的动作 401.1 登入失败 401.2 因服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmk38z.html" rel="bookmark" class="title">Redux教程1：环境搭建，初写Redux</a>
					<div>
						[序] 如果将React比喻成士兵的话,你的程序还需要一位将军,去管理士兵(的状态),而Redux恰好是一位好将军,简单高效: 相比起React的学习曲线,Redux的稍微平坦一些:本系列教程,将以& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwQPKp.html" rel="bookmark" class="title">怎么让数据库按2个字段值合并重复的并把其他属性横向输出</a>
					<div>
						问题描述 怎么让数据库按2个字段值合并重复的并把其他属性横向输出 SELECT product.pro_name, product.pro_color, product.pro_spec, xsmx. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQN5Lp.html" rel="bookmark" class="title">图像处理-求助：matlab 使用函数imresize 已格式化命名同规格批量文件的指定大小缩放</a>
					<div>
						问题描述 求助:matlab 使用函数imresize 已格式化命名同规格批量文件的指定大小缩放 RTmatlab 使用函数imresize 实现文件夹中已格式化命名同规格批量文件的指定大小缩放!!大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPQDrp.html" rel="bookmark" class="title">通过NSTimer看IPhone对&commat;selector的函数如何传参数</a>
					<div>
						   NSMutableDictionary *dict = [[NSMutableDictionary alloc] init];       if(oldView != nil)     {    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2nNjb.html" rel="bookmark" class="title">多线程-Qt 在次线程中截图问题</a>
					<div>
						问题描述 Qt 在次线程中截图问题 我在用QT做一个软件控件的软件,服务端需不断地截取屏幕图像然后发送给客户端,这就需要服务端开一个独立的线程完成 截图-&gt;传送 .但是Qt里限制在线程中创建QW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX8POz.html" rel="bookmark" class="title">如何利用【百度地图API】，制作房产酒店地图？（中）&mdash;&mdash;使用右侧列表打开信息窗口</a>
					<div>
						原文:如何利用[百度地图API],制作房产酒店地图?(中)--使用右侧列表打开信息窗口 摘要: 很多房产网.旅游酒店网上,都有一个列表,鼠标经过列表上的数据时,地图上就会打开相应的信息窗口. 如何实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWwgWz.html" rel="bookmark" class="title">微软收购邮件客户端Acompli&comma;价格超2亿美元</a>
					<div>
						12月2日消息,微软周一宣布,该公司已经收购了手机邮件客户端Acompli,此举旨在增加其在这两个移动平台上的 应用数量.微软称:&quot;这项收购交易是公司计划的一部分内容,旨在帮助人们利用其移动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydlWPb.html" rel="bookmark" class="title">新手入行 JAVA</a>
					<div>
						问题描述 本人是个热爱IT行业的一份子之前在家人的反对下选择了汽车行页挣扎了2年,没有一点激情果断放弃在他们的面前我在三强调我要做IT最后他们顺从了我真他妈高兴现在在北大青鸟学习还没开课现在在自学网上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0Zq0M.html" rel="bookmark" class="title">高考搜索需求增长 新闻资讯最受关注</a>
					<div>
						再过几天一年一度的高考又要来临,考生在冲刺复习的同时也开始关注不同层面的最新消息.神马搜索通过整合用户需求推出了全新高考搜索结果页面,实现了对高考热门信息的一键获取,其中高考资讯成为了考生和家长最为关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvngE6M.html" rel="bookmark" class="title">【曹操】【js-sequence-diagrams】前端js绘制时序图</a>
					<div>
						背景说明:     因为最近在开发一个新的项目,代号曹操,后续可能会更新许多曹操项目相关的开发技术博文,见证曹操项目的从0到上线到最终的产品,也见证自己从java后台到前端全栈到最后全战的开发dog. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnW2xp.html" rel="bookmark" class="title">iOS开发之&lpar;APNS&rpar;远程推送实现代码 附证书与真机调试&lowbar;IOS</a>
					<div>
						远程推送通知 什么是远程推送通知 顾名思义,就是从远程服务器推送给客户端的通知(需要联网)远程推送服务,又称为APNs(ApplePush Notification Services) 为什么需要远程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr8JEp.html" rel="bookmark" class="title">一行代码实现纯数据json对象的深度克隆实现思路&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: var dataObjCloned=JSON.parse(JSON.stringify( dataObj )) 这是昨天晚上从大城小胖的微博上看到的,当时很感兴趣,就mark了下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5LkZz.html" rel="bookmark" class="title">Android编程实现3D旋转效果实例&lowbar;Android</a>
					<div>
						本文实例讲述了Android编程实现3D旋转效果的方法.分享给大家供大家参考,具体如下: 下面的示例是在Android中实现图片3D旋转的效果. 实现3D效果一般使用OpenGL,但在Android平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZGa4b.html" rel="bookmark" class="title">easyui-jquery easyUI   datagrid  行号不能和列同高度问题。</a>
					<div>
						问题描述 jquery easyUI datagrid 行号不能和列同高度问题. 使用环境,IE8.0,来位大神帮我解决吧.感激不尽. 以前重写了datagrid的css,在firefox下面好使了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNOD5p.html" rel="bookmark" class="title">黄易山：Facebook的内部晋升</a>
					<div>
						5月12日消息,建设一家健康长久的公司,&quot;从公司内部提拔管理者&quot;是一条广为人知的建议.这条建议也同样适用于规模较小.发展迅速的创业公司.因为经过频繁且适当的指导,一名对公司文化有着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK245z.html" rel="bookmark" class="title">C&num;AE开发，关于数据格式转换，求大神指导。。</a>
					<div>
						问题描述 实现加载的图层进行打包成geodatabase文件和geodatabase文件转换成gdb.急急急..... 解决方案 解决方案二:你这问的什么问题,没法解答.arcgis的mxd文档是ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyWjWM.html" rel="bookmark" class="title">进行BS开发，要生成Word文档，目录需要手工生成，怎么查找标题所在页码</a>
					<div>
						问题描述 进行BS开发,要生成Word文档,目录需要手工生成,怎么查找标题所在页码 进行BS开发,要生成Word文档, 文档中的目录(里面的含有20个标题)需要手工生成,怎么查找标题所在页码? 我想查 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
